/**
 * @(#)struct.h 2003/10/06
 *
 * @author Ice
 * @version 1.00
 *
 * ICE Team free software group
 *
 * This file is part of TSID2.
 * See README for copyright notice.
 *
 * note: some comments are in the style of Javadoc of Java language!
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 */

#ifndef _STRUCT_H
#define _STRUCT_H

#define MAX_SONGS 128


    // a SIDT2 record of information
    struct sidtRecord {
      unsigned int tune;             // subtune number
      unsigned long second;          // listen second
      unsigned long number;          // number of listen time
      unsigned long length;          // length of the tune if known or 0
    }; 

    // a SIDT2 record of information with MD5
    struct sidtMD5Record : sidtRecord {    
      char *MD5;                   // MD5 fingerprinter
    };
    

    // a TSID2 record of information
    struct tsidRecord : sidtMD5Record {
      char *absSidFileName;        // last known absolute path and name of the file
    };
    
    
   // a record of information of the TBLIST
    struct tblistRecord : sidtMD5Record {
      bool cached;                   // true if the next fields are cached
      char *path;                    // the last known path of the sid tune
      char *name;                    // the last known name of the sid tune
    };
    
    
    struct sidtInfo{
       sidtRecord rec[MAX_SONGS];
    };   
      // int i;
   


#endif // _STRUCT_H
